install-info(8)

NAZWA
install-info - tworzy lub aktualizuje wpis w katalogu Info

SKŁADNIA
install-info [--version] [--help] [--debug] [--maxwidth=nnn] [--section wyraż_regularne tytuł] [--infodir=xxx] [--align=nnn] [--quiet] [--menuentry=xxx] [--description=xxx] [--remove|--remove-exactly] [--] nazwa_pliku

OPIS
install-info tworzy, aktualizuje i usuwa wpisy w katalogu Info, czyli pliku dir. Podczas aktualizowania lub tworzenia wpisów, jeżeli nie podano opisu ani w linii poleceń, ani w pliku Info, podejmowana jest próba zgadnięcia opisu na podstawie zawartości pliku.

W opisie opcji --section można znaleźć szczegóły dotyczące miejsca, w którym zostanie umieszczony wpis oraz opis oczekiwanego formatu pliku dir.

OPCJE

[--] nazwa pliku
    Określa nazwę pliku Info, dla którego ma zostać utworzony, zaktualizowany lub usunięty wpis w menu. Jeśli podano --remove-exactly, wtedy nazwa_pliku powinna zawierać dokładną nazwę wpisu w menu do usunięcia (jak np. "emacs-20/emacs" lub "gcc"). W przeciwnym wypadku bazowa nazwa tego pliku jest używana jako odniesienie do wpisu w menu, który będzie tworzony, chyba że w podanym pliku znajduje się nadpisujący wpis START-INFO-DIR. Taki plik musi wtedy istnieć (lub powinien być instalowany, lub powinien już istnieć podczas usuwania wpisu) w tym samym katalogu co plik dir (proszę sprawdzić opcję --infodir). Jeżeli nazwa_pliku kończy się rozszerzeniem .gz, to jest traktowana jako odwołanie do pliku spakowanego programem gzip. Jeśli plik nazwa_pliku nie istnieje, to używany jest plik nazwa_pliku.gz, o ile takowy istnieje. Podczas dodawania lub aktualizowania wpisów plik ten musi istnieć w podanej ścieżce (być może z dodatkowym rozszerzeniem .gz).

--remove
    Określa, że wpis dla pliku nazwa_pliku będzie usunięty; domyślnie wpisy są tworzone lub aktualizowane. Jeśli usunięcie prowadzi do tego, że sekcja zostałaby pusta, nagłówek sekcji (oraz zapasowa pusta linia) także będą usunięte, chyba że jest to ostatnia sekcja w pliku lub podano opcję --keep-old. Proszę sprawdzić opcję --section w celu uzyskania informacji na temat spodziewanego formatu pliku dir. Jeśli w pliku dir znajduje się kilka odpowiednich wpisów, będą usunięte tylko wpisy z pierwszej ciągłej pasującej grupy, zaś pozostałe zostaną zignorowane bez żadnego ostrzeżenia. Nie odnalezienie odpowiedniego wpisu nie jest błędem, jednak install-info wyśle ostrzeżenie, chyba że podano opcję --quiet. Jeżeli podano --remove, to opcje formatowania --maxwidth, --align oraz --calign zostaną zignorowane bez żadnego ostrzeżenia.

--remove-exactly
    Ta opcja jest praktycznie taka sama jak --remove z tą różnicą, że wtedy nazwa_pliku powinna zawierać dokładną nazwę wpisu w menu do usunięcia, zamiast nazwy istniejącego pliku. Może być to istotne podczas próby usunięcia wpisów odnoszących się do plików w podkatalogach (np. "emacs-20/emacs"), ponieważ --remove będzie korzystać z bazowej nazwy podanej nazwy_pliku zamiast dokładnej nazwy. (np. --remove "emacs-20/emacs" spowodowałby, że install-info szukałoby "emacs", a nie "emacs-20/emacs").

--section wyraż_regularne tytuł
    Określa, że jeśli ma być stworzony nowy wpis, powinien być umieszczony w sekcji w pliku dir, której tytuł pasuje do wyraż_regularnego. Jeśli taka sekcja nie istnieje, zostanie utworzona jako przedostatnia sekcja w pliku (patrz niżej) z tytułem tytuł. Sekcja jest częścią menu dir otoczoną pustymi liniami; pierwsza linia sekcji uważana jest za jej tytuł. Jeśli ma być utworzony nowy wpis, install-info będzie starać się wstawić go w ramach sekcji w porządku alfabetycznym. Jeśli wpisy w sekcji nie są wstępnie posortowane, położenie wpisu w sekcji będzie nie do przewidzenia. Kolejność istniejących wpisów nie będzie zmieniana. Jeśli nie zostanie podana opcja --section, install-info będzie szukać tytułu w samym pliku Info, poszukując wpisu postaci
    INFO-DIR-SECTION tytuł
    Jeśli tytuł sekcji nie zostanie znaleziony, domyślnym zachowaniem jest dodanie nowych wpisów na końcu pliku. Ostatnia sekcja (nawet jeśli składa się tylko z linii z tytułem) powinna zawsze istnieć aby zapewnić, że nowe sekcje będą tworzone we właściwym miejscu. Ostatnia sekcja powinna być zatytułowana w sposób odzwierciedlający fakt, że będą do niej dołączane pliki Info, które nie mają określonego lepszego położenia. Jeśli wpis dla instalowanego pliku Info już istnieje, jest zastępowany w miejscu przez nowy wpis. Jeśli podczas usuwania wpisu podano sekcję, to będzie ona zignorowana oraz zostanie wypisane odpowiednie ostrzeżenie. Jeśli określono sekcję podczas dodawania wpisu, ale plik nie zawiera wcale nagłówków sekcji, install-info utworzy zarówno żądaną sekcję jak i sekcję Miscellaneous na końcu pliku.

--infodir=katalog_info
    Określa, że plik dir jest, a zainstalowana kopia nowego pliku Info była, jest lub będzie zlokalizowana w katalogu_info. Domyślnie jest to /usr/share/info/.

--align=nnn [przestarzałe]
    Określa, że wcięcie pierwszej linii opisu powinno wynosić co najmniej nnn znaków; jeśli będzie to potrzebne, to zostaną dodane dodatkowe spacje. Jeśli będzie to potrzebne z powodu długości szczegółów wpisu dir w menu, może być ich dodanych nawet więcej. Domyślną wartością jest 27.

--calign=nnn [przestarzałe]
    Określa, że wcięcie drugiej i kolejnych linii opisu powinno wynosić co najmniej nnn znaków. Domyślnie jest to 29.

--maxwidth=nnn [przestarzałe]
    Określa, że maksymalna szerokość pliku Info to nnn. Jest to używane podczas zawijania słów tekstu opisu. Domyślnie jest to 79.

--quiet
    Zapobiega typowemu wyświetlaniu nowego wpisu w menu tuż przed jego wstawieniem, komunikatom ogłaszającym zastąpienie i usunięcie istniejących wpisów oraz tworzenie i usuwanie sekcji.

--help
    Powoduje, że install-info wyświetli informacje o użyciu i zakończy działanie.

--version
    Powoduje, że install-info wyświetli informacje o wersji i prawach autorskich i zakończy działanie.

--description=xxx
    Określa, że opisem używanym za wpisem w menu dla nowych lub aktualizowanych wpisów ma być xxx. Domyślnie używana jest wartość określona w samym pliku Info, jest ona wyszukiwana poszukując sekcji postaci
    START-INFO-DIR-ENTRY
    * Auto-PGP: (auto-pgp). PGP w GNU Emacsie.
    END-INFO-DIR-ENTRY Jeśli wpis znaleziony w samym pliku Info rozciąga się na kilka linii, z których każda tworzy wpis w menu, tekst znaleziony w pliku jest używany dosłownie. Sortowanie alfabetyczne jest wtedy wyłączane, a wpisy są wstawiane na początku wskazanej sekcji. W takim przypadku opcje --menuentry, --maxwidth, --align, --calign i --menuentry są ignorowane. Jeśli w pliku nie ma wpisu dir, program będzie starał się znaleźć paragraf na początku pliku rozpoczynający się od this file documents. Pierwszy znak pozostałej części zostanie zamieniony na wielką literę i to zostanie użyte. Błędem jest jeśli żadna z tych metod nie zwróci opisu. Jeśli podczas usuwania (--remove) podano argument zawierający opis, to jest on ignorowany i odpowiednie ostrzeżenie jest wypisywane.

--menuentry=xxx
    Określa, że wpisem w menu powinno być xxx. Domyślnie używana jest wartość określona w samym pliku Info. Jeśli jej nie ma, używana jest bazowa nazwa pliku Info (ponadto część .info jest usuwana, jest też zmieniany odpowiednio rozmiar liter pozostałego wpisu). Szczegółowe informacje na temat oczekiwanego formatu wpisu w menu zawartego w pliku Info można znaleźć powyżej. Podczas usuwania wpisów, wartość opcji --menuentry musi odpowiadać bieżącej wartości wpisu pola menu w usuwanej pozycji menu (wielkość znaków nie ma znaczenia). Jeśli nie podano --menuentry, to wpis menu nie jest sprawdzany.

--keep-old
    Zabrania zastępowania istniejących wpisów i usuwania pustych sekcji. Jeśli instalowany plik ma już wpis w pliku dir, stary wpis będzie pozostawiony zamiast zamieniania go. Domyślnie stare wpisy są nadpisywane przez nowo wygenerowane. Jeżeli podano opcję --remove, to --keep-old zapobiegnie usunięciu nagłówka sekcji, co by się zdarzyło, gdyby po usunięciu nagłówka sekcja stała się pusta.

--test
    Włącza tryb testowy, który powstrzymuje aktualizację pliku katalogu Info dir.

--debug
    Włącza tryb debugowania, w którym pokazywane są wyniki wewnętrznych kroków przetwarzania.

ZOBACZ TAKŻE
emacs(1), info(1), gzip(1).

AUTOR
Copyright 1994 Ian Jackson

Niniejszy program jest oprogramowaniem wolnym, sprawdź Powszechną Licencję Publiczną GNU w wersji drugiej lub późniejszej, by dowiedzieć się o warunkach dystrybucji. Brak JAKIEJKOLWIEK gwarancji.

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008